Package net.md_5.bungee.api.chat.player

# Class Profile

java.lang.Object
net.md_5.bungee.api.chat.player.Profile

public class Profile extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Profile(@NonNull String name)`
  `Profile(@NonNull UUID uuid)`
  `Profile(@NonNull Property[] properties)`
  `Profile(String name, UUID uuid, Property[] properties)`
  Creates a new `Profile` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getName()`
  The name of the profile.
  `Property[]`
  `getProperties()`
  The properties of the profile.
  `UUID`
  `getUuid()`
  The UUID of the profile.
  `int`
  `hashCode()`
  `void`
  `setName(String name)`
  The name of the profile.
  `void`
  `setProperties(Property[] properties)`
  The properties of the profile.
  `void`
  `setUuid(UUID uuid)`
  The UUID of the profile.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Profile

    public Profile(@NonNull @NonNull String name)

  - ### Profile

    public Profile(@NonNull @NonNull UUID uuid)

  - ### Profile

    public Profile(@NonNull @NonNull Property[] properties)

  - ### Profile

    public Profile(String name, UUID uuid, Property[] properties)
    Creates a new `Profile` instance.
    Parameters:
      `name` - The name of the profile. Can be null.
      `uuid` - The UUID of the profile. Can be null.
      `properties` - The properties of the profile. Can be null.

- ## Method Details

  - ### getName

    public String getName()
    The name of the profile. Can be null.

  - ### getUuid

    public UUID getUuid()
    The UUID of the profile. Can be null.

  - ### getProperties

    public Property[] getProperties()
    The properties of the profile. Can be null.

  - ### setName

    public void setName(String name)
    The name of the profile. Can be null.

  - ### setUuid

    public void setUuid(UUID uuid)
    The UUID of the profile. Can be null.

  - ### setProperties

    public void setProperties(Property[] properties)
    The properties of the profile. Can be null.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`